use rand::{Rng, thread_rng};

fn main() {
    fn zero_one() -> bool {
        let mut seed = thread_rng();
        let resp = seed.gen::<bool>();
            return resp
    }
    fn zron(zron: bool) -> char {
        if zron == false {
            return '0';
        } else {
            return '1';
        }
      
    }
    println!("=====================");
    println!("---------[{}]---------",zron(zero_one()));
    println!("=====================");
}